unit schRecibosClienteClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InformeReciboCliente = '{D3EC9949-3596-4BB2-AE73-CCD8EAE0CA7F}';
  RID_RecibosCliente = '{4C8CC259-2397-4878-A2C3-095AE66F1B16}';

  { Data table names }
  nme_InformeReciboCliente = 'InformeReciboCliente';
  nme_RecibosCliente = 'RecibosCliente';

  { InformeReciboCliente fields }
  fld_InformeReciboClienteCODIGO = 'CODIGO';
  fld_InformeReciboClienteFECHAALTA = 'FECHAALTA';
  fld_InformeReciboClienteUSUARIO = 'USUARIO';
  fld_InformeReciboClienteFECHARECIBO = 'FECHARECIBO';
  fld_InformeReciboClienteIMPORTE = 'IMPORTE';
  fld_InformeReciboClienteTEXTO = 'TEXTO';
  fld_InformeReciboClienteCODIGOCONTACTO = 'CODIGOCONTACTO';
  fld_InformeReciboClienteNIFCIF = 'NIFCIF';
  fld_InformeReciboClienteNOMBRE = 'NOMBRE';
  fld_InformeReciboClienteCALLE = 'CALLE';
  fld_InformeReciboClientePROVINCIA = 'PROVINCIA';
  fld_InformeReciboClienteCODIGOPOSTAL = 'CODIGOPOSTAL';
  fld_InformeReciboClientePOBLACION = 'POBLACION';
  fld_InformeReciboClienteCODIGOOBRA = 'CODIGOOBRA';

  { InformeReciboCliente field indexes }
  idx_InformeReciboClienteCODIGO = 0;
  idx_InformeReciboClienteFECHAALTA = 1;
  idx_InformeReciboClienteUSUARIO = 2;
  idx_InformeReciboClienteFECHARECIBO = 3;
  idx_InformeReciboClienteIMPORTE = 4;
  idx_InformeReciboClienteTEXTO = 5;
  idx_InformeReciboClienteCODIGOCONTACTO = 6;
  idx_InformeReciboClienteNIFCIF = 7;
  idx_InformeReciboClienteNOMBRE = 8;
  idx_InformeReciboClienteCALLE = 9;
  idx_InformeReciboClientePROVINCIA = 10;
  idx_InformeReciboClienteCODIGOPOSTAL = 11;
  idx_InformeReciboClientePOBLACION = 12;
  idx_InformeReciboClienteCODIGOOBRA = 13;

  { RecibosCliente fields }
  fld_RecibosClienteCODIGO = 'CODIGO';
  fld_RecibosClienteFECHAALTA = 'FECHAALTA';
  fld_RecibosClienteUSUARIO = 'USUARIO';
  fld_RecibosClienteFECHARECIBO = 'FECHARECIBO';
  fld_RecibosClienteIMPORTE = 'IMPORTE';
  fld_RecibosClienteTEXTO = 'TEXTO';
  fld_RecibosClienteCODIGOCONTACTO = 'CODIGOCONTACTO';
  fld_RecibosClienteNIFCIF = 'NIFCIF';
  fld_RecibosClienteNOMBRE = 'NOMBRE';
  fld_RecibosClienteCALLE = 'CALLE';
  fld_RecibosClientePROVINCIA = 'PROVINCIA';
  fld_RecibosClienteCODIGOPOSTAL = 'CODIGOPOSTAL';
  fld_RecibosClientePOBLACION = 'POBLACION';
  fld_RecibosClienteCODIGOOBRA = 'CODIGOOBRA';

  { RecibosCliente field indexes }
  idx_RecibosClienteCODIGO = 0;
  idx_RecibosClienteFECHAALTA = 1;
  idx_RecibosClienteUSUARIO = 2;
  idx_RecibosClienteFECHARECIBO = 3;
  idx_RecibosClienteIMPORTE = 4;
  idx_RecibosClienteTEXTO = 5;
  idx_RecibosClienteCODIGOCONTACTO = 6;
  idx_RecibosClienteNIFCIF = 7;
  idx_RecibosClienteNOMBRE = 8;
  idx_RecibosClienteCALLE = 9;
  idx_RecibosClientePROVINCIA = 10;
  idx_RecibosClienteCODIGOPOSTAL = 11;
  idx_RecibosClientePOBLACION = 12;
  idx_RecibosClienteCODIGOOBRA = 13;

type
  { IInformeReciboCliente }
  IInformeReciboCliente = interface(IDAStronglyTypedDataTable)
  ['{2FB9D5BC-C42B-44F7-A9EC-35F3294DDA8B}']
    { Property getters and setters }
    function GetCODIGOValue: Integer;
    procedure SetCODIGOValue(const aValue: Integer);
    function GetFECHAALTAValue: DateTime;
    procedure SetFECHAALTAValue(const aValue: DateTime);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetFECHARECIBOValue: DateTime;
    procedure SetFECHARECIBOValue(const aValue: DateTime);
    function GetIMPORTEValue: Float;
    procedure SetIMPORTEValue(const aValue: Float);
    function GetTEXTOValue: IROStrings;
    procedure SetTEXTOValue(const aValue: IROStrings);
    function GetCODIGOCONTACTOValue: Integer;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer);
    function GetNIFCIFValue: String;
    procedure SetNIFCIFValue(const aValue: String);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetCALLEValue: String;
    procedure SetCALLEValue(const aValue: String);
    function GetPROVINCIAValue: String;
    procedure SetPROVINCIAValue(const aValue: String);
    function GetCODIGOPOSTALValue: String;
    procedure SetCODIGOPOSTALValue(const aValue: String);
    function GetPOBLACIONValue: String;
    procedure SetPOBLACIONValue(const aValue: String);
    function GetCODIGOOBRAValue: Integer;
    procedure SetCODIGOOBRAValue(const aValue: Integer);


    { Properties }
    property CODIGO: Integer read GetCODIGOValue write SetCODIGOValue;
    property FECHAALTA: DateTime read GetFECHAALTAValue write SetFECHAALTAValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHARECIBO: DateTime read GetFECHARECIBOValue write SetFECHARECIBOValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property TEXTO: IROStrings read GetTEXTOValue write SetTEXTOValue;
    property CODIGOCONTACTO: Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property NIFCIF: String read GetNIFCIFValue write SetNIFCIFValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property CALLE: String read GetCALLEValue write SetCALLEValue;
    property PROVINCIA: String read GetPROVINCIAValue write SetPROVINCIAValue;
    property CODIGOPOSTAL: String read GetCODIGOPOSTALValue write SetCODIGOPOSTALValue;
    property POBLACION: String read GetPOBLACIONValue write SetPOBLACIONValue;
    property CODIGOOBRA: Integer read GetCODIGOOBRAValue write SetCODIGOOBRAValue;
  end;

  { TInformeReciboClienteDataTableRules }
  TInformeReciboClienteDataTableRules = class(TDADataTableRules, IInformeReciboCliente)
  private
  protected
    { Property getters and setters }
    function GetCODIGOValue: Integer; virtual;
    procedure SetCODIGOValue(const aValue: Integer); virtual;
    function GetFECHAALTAValue: DateTime; virtual;
    procedure SetFECHAALTAValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHARECIBOValue: DateTime; virtual;
    procedure SetFECHARECIBOValue(const aValue: DateTime); virtual;
    function GetIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;
    function GetTEXTOValue: IROStrings; virtual;
    procedure SetTEXTOValue(const aValue: IROStrings); virtual;
    function GetCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetNIFCIFValue: String; virtual;
    procedure SetNIFCIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGOPOSTALValue: String; virtual;
    procedure SetCODIGOPOSTALValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetCODIGOOBRAValue: Integer; virtual;
    procedure SetCODIGOOBRAValue(const aValue: Integer); virtual;

    { Properties }
    property CODIGO: Integer read GetCODIGOValue write SetCODIGOValue;
    property FECHAALTA: DateTime read GetFECHAALTAValue write SetFECHAALTAValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHARECIBO: DateTime read GetFECHARECIBOValue write SetFECHARECIBOValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property TEXTO: IROStrings read GetTEXTOValue write SetTEXTOValue;
    property CODIGOCONTACTO: Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property NIFCIF: String read GetNIFCIFValue write SetNIFCIFValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property CALLE: String read GetCALLEValue write SetCALLEValue;
    property PROVINCIA: String read GetPROVINCIAValue write SetPROVINCIAValue;
    property CODIGOPOSTAL: String read GetCODIGOPOSTALValue write SetCODIGOPOSTALValue;
    property POBLACION: String read GetPOBLACIONValue write SetPOBLACIONValue;
    property CODIGOOBRA: Integer read GetCODIGOOBRAValue write SetCODIGOOBRAValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRecibosCliente }
  IRecibosCliente = interface(IDAStronglyTypedDataTable)
  ['{4BC5000E-2D0F-4C49-93EB-4F320C576A46}']
    { Property getters and setters }
    function GetCODIGOValue: Integer;
    procedure SetCODIGOValue(const aValue: Integer);
    function GetFECHAALTAValue: DateTime;
    procedure SetFECHAALTAValue(const aValue: DateTime);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetFECHARECIBOValue: DateTime;
    procedure SetFECHARECIBOValue(const aValue: DateTime);
    function GetIMPORTEValue: Currency;
    procedure SetIMPORTEValue(const aValue: Currency);
    function GetTEXTOValue: IROStrings;
    procedure SetTEXTOValue(const aValue: IROStrings);
    function GetCODIGOCONTACTOValue: Integer;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer);
    function GetNIFCIFValue: String;
    procedure SetNIFCIFValue(const aValue: String);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetCALLEValue: String;
    procedure SetCALLEValue(const aValue: String);
    function GetPROVINCIAValue: String;
    procedure SetPROVINCIAValue(const aValue: String);
    function GetCODIGOPOSTALValue: String;
    procedure SetCODIGOPOSTALValue(const aValue: String);
    function GetPOBLACIONValue: String;
    procedure SetPOBLACIONValue(const aValue: String);
    function GetCODIGOOBRAValue: Integer;
    procedure SetCODIGOOBRAValue(const aValue: Integer);


    { Properties }
    property CODIGO: Integer read GetCODIGOValue write SetCODIGOValue;
    property FECHAALTA: DateTime read GetFECHAALTAValue write SetFECHAALTAValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHARECIBO: DateTime read GetFECHARECIBOValue write SetFECHARECIBOValue;
    property IMPORTE: Currency read GetIMPORTEValue write SetIMPORTEValue;
    property TEXTO: IROStrings read GetTEXTOValue write SetTEXTOValue;
    property CODIGOCONTACTO: Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property NIFCIF: String read GetNIFCIFValue write SetNIFCIFValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property CALLE: String read GetCALLEValue write SetCALLEValue;
    property PROVINCIA: String read GetPROVINCIAValue write SetPROVINCIAValue;
    property CODIGOPOSTAL: String read GetCODIGOPOSTALValue write SetCODIGOPOSTALValue;
    property POBLACION: String read GetPOBLACIONValue write SetPOBLACIONValue;
    property CODIGOOBRA: Integer read GetCODIGOOBRAValue write SetCODIGOOBRAValue;
  end;

  { TRecibosClienteDataTableRules }
  TRecibosClienteDataTableRules = class(TDADataTableRules, IRecibosCliente)
  private
  protected
    { Property getters and setters }
    function GetCODIGOValue: Integer; virtual;
    procedure SetCODIGOValue(const aValue: Integer); virtual;
    function GetFECHAALTAValue: DateTime; virtual;
    procedure SetFECHAALTAValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHARECIBOValue: DateTime; virtual;
    procedure SetFECHARECIBOValue(const aValue: DateTime); virtual;
    function GetIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;
    function GetTEXTOValue: IROStrings; virtual;
    procedure SetTEXTOValue(const aValue: IROStrings); virtual;
    function GetCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetNIFCIFValue: String; virtual;
    procedure SetNIFCIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGOPOSTALValue: String; virtual;
    procedure SetCODIGOPOSTALValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetCODIGOOBRAValue: Integer; virtual;
    procedure SetCODIGOOBRAValue(const aValue: Integer); virtual;

    { Properties }
    property CODIGO: Integer read GetCODIGOValue write SetCODIGOValue;
    property FECHAALTA: DateTime read GetFECHAALTAValue write SetFECHAALTAValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHARECIBO: DateTime read GetFECHARECIBOValue write SetFECHARECIBOValue;
    property IMPORTE: Currency read GetIMPORTEValue write SetIMPORTEValue;
    property TEXTO: IROStrings read GetTEXTOValue write SetTEXTOValue;
    property CODIGOCONTACTO: Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property NIFCIF: String read GetNIFCIFValue write SetNIFCIFValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property CALLE: String read GetCALLEValue write SetCALLEValue;
    property PROVINCIA: String read GetPROVINCIAValue write SetPROVINCIAValue;
    property CODIGOPOSTAL: String read GetCODIGOPOSTALValue write SetCODIGOPOSTALValue;
    property POBLACION: String read GetPOBLACIONValue write SetPOBLACIONValue;
    property CODIGOOBRA: Integer read GetCODIGOOBRAValue write SetCODIGOOBRAValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TInformeReciboClienteDataTableRules }
constructor TInformeReciboClienteDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TInformeReciboClienteDataTableRules.Destroy;
begin
  inherited;
end;

function TInformeReciboClienteDataTableRules.GetCODIGOValue: Integer;
begin
  result := DataTable.Fields[idx_InformeReciboClienteCODIGO].AsInteger;
end;

procedure TInformeReciboClienteDataTableRules.SetCODIGOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeReciboClienteCODIGO].AsInteger := aValue;
end;

function TInformeReciboClienteDataTableRules.GetFECHAALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_InformeReciboClienteFECHAALTA].AsDateTime;
end;

procedure TInformeReciboClienteDataTableRules.SetFECHAALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_InformeReciboClienteFECHAALTA].AsDateTime := aValue;
end;

function TInformeReciboClienteDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_InformeReciboClienteUSUARIO].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeReciboClienteUSUARIO].AsString := aValue;
end;

function TInformeReciboClienteDataTableRules.GetFECHARECIBOValue: DateTime;
begin
  result := DataTable.Fields[idx_InformeReciboClienteFECHARECIBO].AsDateTime;
end;

procedure TInformeReciboClienteDataTableRules.SetFECHARECIBOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_InformeReciboClienteFECHARECIBO].AsDateTime := aValue;
end;

function TInformeReciboClienteDataTableRules.GetIMPORTEValue: Float;
begin
  result := DataTable.Fields[idx_InformeReciboClienteIMPORTE].AsFloat;
end;

procedure TInformeReciboClienteDataTableRules.SetIMPORTEValue(const aValue: Float);
begin
  DataTable.Fields[idx_InformeReciboClienteIMPORTE].AsFloat := aValue;
end;

function TInformeReciboClienteDataTableRules.GetTEXTOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_InformeReciboClienteTEXTO].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetTEXTOValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_InformeReciboClienteTEXTO].AsString := aValue.Text;
end;

function TInformeReciboClienteDataTableRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := DataTable.Fields[idx_InformeReciboClienteCODIGOCONTACTO].AsInteger;
end;

procedure TInformeReciboClienteDataTableRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeReciboClienteCODIGOCONTACTO].AsInteger := aValue;
end;

function TInformeReciboClienteDataTableRules.GetNIFCIFValue: String;
begin
  result := DataTable.Fields[idx_InformeReciboClienteNIFCIF].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetNIFCIFValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeReciboClienteNIFCIF].AsString := aValue;
end;

function TInformeReciboClienteDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_InformeReciboClienteNOMBRE].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeReciboClienteNOMBRE].AsString := aValue;
end;

function TInformeReciboClienteDataTableRules.GetCALLEValue: String;
begin
  result := DataTable.Fields[idx_InformeReciboClienteCALLE].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetCALLEValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeReciboClienteCALLE].AsString := aValue;
end;

function TInformeReciboClienteDataTableRules.GetPROVINCIAValue: String;
begin
  result := DataTable.Fields[idx_InformeReciboClientePROVINCIA].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetPROVINCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeReciboClientePROVINCIA].AsString := aValue;
end;

function TInformeReciboClienteDataTableRules.GetCODIGOPOSTALValue: String;
begin
  result := DataTable.Fields[idx_InformeReciboClienteCODIGOPOSTAL].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetCODIGOPOSTALValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeReciboClienteCODIGOPOSTAL].AsString := aValue;
end;

function TInformeReciboClienteDataTableRules.GetPOBLACIONValue: String;
begin
  result := DataTable.Fields[idx_InformeReciboClientePOBLACION].AsString;
end;

procedure TInformeReciboClienteDataTableRules.SetPOBLACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeReciboClientePOBLACION].AsString := aValue;
end;

function TInformeReciboClienteDataTableRules.GetCODIGOOBRAValue: Integer;
begin
  result := DataTable.Fields[idx_InformeReciboClienteCODIGOOBRA].AsInteger;
end;

procedure TInformeReciboClienteDataTableRules.SetCODIGOOBRAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeReciboClienteCODIGOOBRA].AsInteger := aValue;
end;


{ TRecibosClienteDataTableRules }
constructor TRecibosClienteDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRecibosClienteDataTableRules.Destroy;
begin
  inherited;
end;

function TRecibosClienteDataTableRules.GetCODIGOValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosClienteCODIGO].AsInteger;
end;

procedure TRecibosClienteDataTableRules.SetCODIGOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosClienteCODIGO].AsInteger := aValue;
end;

function TRecibosClienteDataTableRules.GetFECHAALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosClienteFECHAALTA].AsDateTime;
end;

procedure TRecibosClienteDataTableRules.SetFECHAALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosClienteFECHAALTA].AsDateTime := aValue;
end;

function TRecibosClienteDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RecibosClienteUSUARIO].AsString;
end;

procedure TRecibosClienteDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosClienteUSUARIO].AsString := aValue;
end;

function TRecibosClienteDataTableRules.GetFECHARECIBOValue: DateTime;
begin
  result := DataTable.Fields[idx_RecibosClienteFECHARECIBO].AsDateTime;
end;

procedure TRecibosClienteDataTableRules.SetFECHARECIBOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RecibosClienteFECHARECIBO].AsDateTime := aValue;
end;

function TRecibosClienteDataTableRules.GetIMPORTEValue: Currency;
begin
  result := DataTable.Fields[idx_RecibosClienteIMPORTE].AsCurrency;
end;

procedure TRecibosClienteDataTableRules.SetIMPORTEValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RecibosClienteIMPORTE].AsCurrency := aValue;
end;

function TRecibosClienteDataTableRules.GetTEXTOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_RecibosClienteTEXTO].AsString;
end;

procedure TRecibosClienteDataTableRules.SetTEXTOValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_RecibosClienteTEXTO].AsString := aValue.Text;
end;

function TRecibosClienteDataTableRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosClienteCODIGOCONTACTO].AsInteger;
end;

procedure TRecibosClienteDataTableRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosClienteCODIGOCONTACTO].AsInteger := aValue;
end;

function TRecibosClienteDataTableRules.GetNIFCIFValue: String;
begin
  result := DataTable.Fields[idx_RecibosClienteNIFCIF].AsString;
end;

procedure TRecibosClienteDataTableRules.SetNIFCIFValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosClienteNIFCIF].AsString := aValue;
end;

function TRecibosClienteDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_RecibosClienteNOMBRE].AsString;
end;

procedure TRecibosClienteDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosClienteNOMBRE].AsString := aValue;
end;

function TRecibosClienteDataTableRules.GetCALLEValue: String;
begin
  result := DataTable.Fields[idx_RecibosClienteCALLE].AsString;
end;

procedure TRecibosClienteDataTableRules.SetCALLEValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosClienteCALLE].AsString := aValue;
end;

function TRecibosClienteDataTableRules.GetPROVINCIAValue: String;
begin
  result := DataTable.Fields[idx_RecibosClientePROVINCIA].AsString;
end;

procedure TRecibosClienteDataTableRules.SetPROVINCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosClientePROVINCIA].AsString := aValue;
end;

function TRecibosClienteDataTableRules.GetCODIGOPOSTALValue: String;
begin
  result := DataTable.Fields[idx_RecibosClienteCODIGOPOSTAL].AsString;
end;

procedure TRecibosClienteDataTableRules.SetCODIGOPOSTALValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosClienteCODIGOPOSTAL].AsString := aValue;
end;

function TRecibosClienteDataTableRules.GetPOBLACIONValue: String;
begin
  result := DataTable.Fields[idx_RecibosClientePOBLACION].AsString;
end;

procedure TRecibosClienteDataTableRules.SetPOBLACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RecibosClientePOBLACION].AsString := aValue;
end;

function TRecibosClienteDataTableRules.GetCODIGOOBRAValue: Integer;
begin
  result := DataTable.Fields[idx_RecibosClienteCODIGOOBRA].AsInteger;
end;

procedure TRecibosClienteDataTableRules.SetCODIGOOBRAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RecibosClienteCODIGOOBRA].AsInteger := aValue;
end;


initialization
  RegisterDataTableRules(RID_InformeReciboCliente, TInformeReciboClienteDataTableRules);
  RegisterDataTableRules(RID_RecibosCliente, TRecibosClienteDataTableRules);

end.
